<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GeneralParticleSourceMessenger Member List</h1>This is the complete list of members for <a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#acca9456f294a098be11dc8ec018bd32a">getA</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#af79166e4e160b05cdf9cb781dff93f8b">getB</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#addd5dcf2c6bcc39dce6a53f6140af9aa">getBetaGammaMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a067b61ab8b170fec17d96fbd50fa2f5b">getBetaGammaMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ab7f85d8770aac9d1e4fd2789a5e9dc85">getDiceBetaGamma</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a843fec71b3a7682b682b7c0f66eeac73">getEMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#af6dc3bb0b3df66854e02134c50ee8540">getEMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ab7469650cbbb9a6a0c6b1265c388eb1d">getInstance</a>()</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a4d9055d651da593d0ac2300b8d96fb3d">getNParticles</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a6d9db0467f3b4d5aef53108f77417417">getParticleName</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ade5a4e3b137a00b6276db050001ce015">getPhiMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a1c8b35418f9b1feb17a77bcb4b98f400">getPhiMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a810523d8e5a73611b51f1395c6595785">getPolar</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a36d0944dd49fb73fa9ad8e7fff5ca4ed">getPos</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#aeda4d941258bd20fa2cda3f8ad509502">getPosDist</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a446d0b8d73f07d17bb08222a02f1152f">getPosGridDistA</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a1f485b76bf5a442cc115ffb4ae97ae8b">getRMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a6ee537925f101c2013de929cd0632f1d">getRMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a7498aae673e538c50514bb909bf32a47">getShape</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a746438043a5434e933441c10051716d5">getSourceSurfaceNormal</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a3d62c17f2d5b26210c3ce7ccb251ec61">getThetaMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#add206c2562da03d03d079c06afbc466a">getThetaMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a7339f41fe2c97fb3225e53f1ef1827b3">getTMax</a>()</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a12ea42d77f67dc9a62d2c6ed790ca147">getTMin</a>()</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#aaa4ccc37ec3a7f2016be705aba49b2fe">getVerbose</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#aee040a70076cb7c93714e7d90c640703">INSTANCE</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a87eca7af142037cc419220155a5734c8">MACRO_FILE_NAME</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a5682131934e5636797f91f07b08b4358">POS_DIST_GRID</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a063d4cf8efc145b4e9334566e4068a0b">POS_DIST_UNIFORM</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a69a78cae4a57a79d6f187c68a5a7eca1">setA</a>(double _a)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#add55f403005fa1a41b7fe0e78cb5d2bf">setB</a>(double _b)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a0c4139a40056dd814cf13ad707629d5f">setBetaGammaMax</a>(double _betaGammaMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a4c3555cb50f7ad9672e02c4755f5015b">setBetaGammaMin</a>(double _betaGammaMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a4468ea609bc87bbb5ca66f9caa4aec7f">setDiceBetaGamma</a>(bool _diceBetaGamma)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a2921cdf187138d03ac9d899b6bcacb90">setEMax</a>(double _eMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#af068a7a4f67aa5f10a360f94da22da9e">setEMin</a>(double _eMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a45138b9482bdda131fc6608092c19bec">setNParticles</a>(int _nParticles)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a2610fbe7514d644532b39f4980d3677e">setParticleName</a>(G4String _particleName)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a92011ab092c4ee76eaa80585583b5c95">setPhiMax</a>(double _phiMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#acaeffa2862a474f7928462301940274a">setPhiMin</a>(double _phiMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a50bf288d98a14d8c667e4c37dca99b99">setPolar</a>(double _polar)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a8ed7811e9186e475900271f7c31fce15">setPos</a>(G4ThreeVector _pos)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a494c0316f31b48bcf1193d0a666fac76">setPosDist</a>(G4String _posDist)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a8b2309182ee863198e1ec13b42f11551">setPosGridDistA</a>(double _posGridDistA)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a86e0399a37f21f7339d3f17a426f6bf9">setRMax</a>(double _rMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a4d6f5c877998348e2bc0919161211134">setRMin</a>(double _rMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ad338c5d29b69e6f0588166eba4c95975">setShape</a>(G4String _shape)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a5415120aaf8cb2d7dfdb9348dc685ab4">setSourceSurfaceNormal</a>(G4ThreeVector _sourceSurfaceNormal)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a048ae348e5fbb8827f3d19abad6746ea">setThetaMax</a>(double _thetaMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a48d42c3f126dc2258081c2f0c3ddfe74">setThetaMin</a>(double _thetaMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a9149cb79e97d02f7dd31e65cbd496bb6">setTMax</a>(double _tMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a18cb0c351318799359d838d6979ed9c6">setTMin</a>(double _tMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ab9a45c64782ba4a49ae0dc7daf1faf34">setVerbose</a>(int _verbose)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a21c8002ce0f2998f8ea64e8a53834b30">SHAPE_CIRCLE_NAME</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ac44b9c0643e0f1796f1a64f858f8c22f">SHAPE_HEXAGON_NAME</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a1c1754477b742bd444b5c80c64e1b54f">SHAPE_RECT_NAME</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 30 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
